<template>
    <div>
        <navbar></navbar>
        <div class="w-full">
            <div class="flex flex-col bg-white rounded-2xl m-8 p-5 items-center">
                <componentePerfil :userInfo="this.user"></componentePerfil>
                <div class="flex py-5 items-center">
                    <a class="btn btn-secondary text-white" href="#updatePassword">Cambiar Contraseña</a>
                </div>
            </div>
        </div>
        <div class="modal" id="updatePassword">
            <div class="flex flex-col p-5 bg-white rounded-3xl gap-5 drop-shadow w-96">
                <span class="text-lg text-center">Cambiar contraseña</span>
                <form class="form-control" id="updatePasswordForm" @submit.prevent="updatePassword()">
                    <label class="label" for="old-password">Contraseña antigua</label>
                    <input class="input input-sm" id="old-password" type="password" v-model="passwordForm.oldpassword"
                        required>
                    <label class="label" for="old-password">Nueva Contraseña</label>
                    <input class="input input-sm" id="new-password" type="password" v-model="passwordForm.newpassword"
                        required>
                    <label class="label" for="old-password">Repetir Nueva Contraseña</label>
                    <input class="input input-sm" id="confirm-password" type="password" v-model="confirmPassword"
                        required>
                </form>
                <div class="alert error my-2 h-8" v-if="error">
                    <span>{{ errormsg }}</span>
                </div>
                <div class="flex gap-3 justify-center">
                    <a href="#" class="btn btn-error text-white">Cancelar</a>
                    <button class="btn btn-accent text-white" type="submit"
                        form="updatePasswordForm">Actualizar</button>
                </div>
            </div>
        </div>
        <div class="modal" id="updateCorreo">
            <div class="flex flex-col p-5 bg-white rounded-3xl gap-5 drop-shadow">
                <a href="#" class="btn btn-secondary">Cancelar</a>
            </div>
        </div>
    </div>
</template>

<script>
import navbar from '../../components/Navbar.vue'
import componentePerfil from '../../components/CUENTAS/componentePerfil.vue'
import axios from 'axios'

export default {
    components: {
        navbar,
        componentePerfil
    },
    data() {
        return {
            user: {},
            passwordForm: {
                oldpassword: null,
                newpassword: null
            },
            confirmPassword: null,
            error: false,
            errormsg: null
        }
    },
    mounted() {
        axios.get('cuentas/usuario', {
            headers: {
                Authorization: localStorage.getItem('auth')
            }
        }).then(result => {
            this.user = result.data
        })
    },
    methods: {
        updatePassword() {
            if (this.passwordForm.newpassword == this.confirmPassword) {
                this.error = false
                axios.put("cuentas/editar/contrasenia", [], {
                    headers: {
                        Authorization: localStorage.getItem('auth')
                    },
                    params: {
                        'new-password': this.passwordForm.newpassword,
                        'old-password': this.passwordForm.oldpassword
                    }
                }).then(result => {
                    console.log(result)
                    alert("Contraseña Actualizada.\nCerrando sesión")
                    localStorage.clear()
                    this.$router.push("/login")
                }).catch(err => {
                    this.error = true
                    this.errormsg = err
                })
            } else {
                this.error = true
                this.errormsg = "Las contraseñas no coinciden"
            }
        }
    }
}
</script>

<style>

</style>